[ANN] gettext-2.0.4, gettext_activerecord-2.0.4, gettext_rails-2.0.4


#1

Hi,

Ruby-GetText-Package-2.0.4 and the families
(gettext-2.0.4, gettext_activerecord-2.0.4 and gettext_rails-2.0.4)
are now available.

Ruby-GetText-Package is the library/tools for message localization.

  • gettext - Message localization libraries and tools for all kind of
    apps/libs.
  • gettext_activerecord - ActiveRecord Localization
  • gettext_rails - Rails support with gettext.

Changes

== gettext-2.0.4

  • Fix String#% return nil when the string have no place holders. [by
    okkez]
  • Update pofiles and remove old messages.
  • suppress some warnings on Ruby 1.9.x. [by Nobuhiro IMAI]
  • Fix not to run tests on Win32, JRuby.

== gettext_activerecord-2.0.4, gettext_rails-2.0.4

  • Update dependencies.

(NOTE)

  • Rails-2.3.1 or earlier aren’t supported.

Website

ScreenShots

Screenshots in 23 languages (Sample Rails blog) are:
http://www.yotabanana.com/hiki/?ruby-gettext-screenshot


Masao M. removed_email_address@domain.invalid